
## When bootstrapping new releases/archs, set this initially to avoid
## unresolvable dependency on phonon-backend (and friends)
#global bootstrap 1

Summary: Multimedia framework api
Name:    phonon-qt5
Version: 4.11.1
Release: 1%{?dist}
License: LGPLv2+
URL:     http://phonon.kde.org/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/phonon/%{version}/phonon-%{version}.tar.xz

## upstream patches

## upstreamable patches

# filter plugins
%global __provides_exclude_from ^(^%{_qt5_plugindir}/.*\\.so)$

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: pkgconfig
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libpulse-mainloop-glib) > 0.9.15
BuildRequires: pkgconfig(libxml-2.0)
# Qt5
BuildRequires: pkgconfig(Qt5DBus) pkgconfig(Qt5Designer) pkgconfig(Qt5OpenGL) pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(xcb)

# optional features
%if 0%{?declarative}
BuildRequires: pkgconfig(QtDeclarative)
BuildRequires: pkgconfig(Qt5Declarative)
%endif
%if 0%{?zeitgeist}
BuildRequires: pkgconfig(QZeitgeist)
%endif

%if 0%{?bootstrap}
Provides: phonon-backend%{?_isa} = 4.7
%else
%if 0%{?fedora} || 0%{?rhel} > 7
Recommends: phonon-qt5-backend-gstreamer%{?_isa}
%else
BuildRequires: pkgconfig(Qt5Declarative)
Requires: phonon-qt5-backend%{?_isa} => 4.7
%endif
%endif

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -n phonon-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DCMAKE_BUILD_TYPE:STRING="Release" \
  -DPHONON_BUILD_DECLARATIVE_PLUGIN:BOOL=%{?declarative:ON}%{!?declarative:OFF} \
  -DPHONON_BUILD_PHONON4QT5:BOOL=ON \
  -DPHONON_QT_IMPORTS_INSTALL_DIR=%{_qt5_importdir} \
  -DPHONON_QT_MKSPECS_INSTALL_DIR=%{_qt5_archdatadir}/mkspecs/modules \
  -DPHONON_QT_PLUGIN_INSTALL_DIR=%{_qt5_plugindir}/designer
popd

%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-qt --all-name

# own these dirs
mkdir -p %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend


%check
export PKG_CONFIG_PATH="%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig${PKG_CONFIG_PATH:+:}${PKG_CONFIG_PATH}"
test "$(pkg-config --modversion phonon4qt5)" = "%{version}"


%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING.LIB
%{_bindir}/phononsettings
%dir %{_datadir}/phonon4qt5
%{_libdir}/libphonon4qt5.so.4*
%{_libdir}/libphonon4qt5experimental.so.4*
%{_qt5_plugindir}/designer/phononwidgets.so
%dir %{_qt5_plugindir}/phonon4qt5_backend/

%files devel
#{_datadir}/dbus-1/interfaces/org.kde.Phonon4Qt5.AudioOutput.xml
%{_datadir}/phonon4qt5/buildsystem/
%dir %{_libdir}/cmake/
%{_libdir}/cmake/phonon4qt5/
%{_includedir}/phonon4qt5/
%{_libdir}/libphonon4qt5.so
%{_libdir}/libphonon4qt5experimental.so
%{_libdir}/pkgconfig/phonon4qt5.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_phonon4qt5.pri


%changelog
* Mon Jan 20 2020 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- first try at pure Qt5-based phonon


